import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.IOException;

public class ExceptionDemo
{
    public static void main( String[] args ) throws IOException
    {
        BufferedReader in = new BufferedReader(
                                new InputStreamReader(
                                    System.in ) );
        String inputString      = null;
        int    valueToIncrement = 0;;

        System.out.println( "Enter an integer:" );
        while ( true )
            try {
                inputString = in.readLine();
                valueToIncrement = Integer.parseInt( inputString );
                if ( valueToIncrement < 0 )
                    throw new NegativeNumberException();
                break;
            }
            catch (NumberFormatException ex) {
                System.err.println( "\"" + inputString      +
                                    "\" is not an integer!" +
                                    "\nPlease try again:"   );
            }
            catch (NegativeNumberException ex) {
                System.err.println( "Please enter a number that"
                                    + " is at least 0." );
            }
        System.out.println( valueToIncrement + 1 );
    }
}
